<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="alignement-navigator row">

    <div class="col-sm-4 col-md-3 col-lg-2" window-height-scroll>
       <alignment-navigation ontology="$ctrl.ontology" stats="$ctrl.stats"></alignment-navigation>
       <pre class="m-t-20" ng-if="$ctrl.debug">{{ $ctrl.getDefinition().toJson()|json }}</pre>
       <a href="" class="btn btn-primary btn-block" ng-click="$ctrl.preview();"><span class="fa fa-eye"></span> Aperçu des POI</a>
    </div>

    <div class="col-sm-8 col-md-9 col-lg-10 alignment-carousel-wrapper">
        <div class="alignment-carousel row" ng-style="{ 'transform': 'translate(-'+$ctrl.offset+'px, 0px)', '-webkit-transform': 'translate(-'+$ctrl.offset+'px, 0px)', '-ms-transform': 'translate(-'+$ctrl.offset+'px, 0px)' }"><!--

            ROOT STEP
            --><div window-height-scroll ng-class="{'col-sm-12': !$ctrl.steps.length, 'col-sm-6': $ctrl.steps.length}">
                <alignment-root-step entrypoint="$ctrl.entrypoint"></alignment-root-step>
            </div><!--

            PROPERTY STEPS
            --><div window-height-scroll class="col-sm-6" ng-repeat="step in $ctrl.steps" >
                <div ng-switch on="$ctrl.getStepType(step)">
                    <alignment-data-step ng-switch-when="data" step="step"></alignment-data-step>
                    <alignment-langstring-step ng-switch-when="langstring" step="step"></alignment-langstring-step>
                    <alignment-thesaurus-step ng-switch-when="thesaurus" step="step"></alignment-thesaurus-step>
                    <alignment-poi-step ng-switch-when="poi" step="step"></alignment-poi-step>
                    <alignment-type-step ng-switch-when="type" step="step"></alignment-type-step>
                    <alignment-object-step ng-switch-default step="step"></alignment-object-step>
                </div><!--

            --></div>

            <!--<div ng-repeat="path in panes" alignment-property-pane="path"></div>-->
        </div>
    </div>

</div>